clear all
close all
clc;

%načtení s textového souboru
fid=fopen('parametry.txt');
parametry=fscanf(fid,'%g %g %g',[3 inf]);
fclose(fid);
parametry=parametry';

%vstupní parametry přebrány s APDL
o_deleni=parametry(1,1);    %počet dělení po obvodu (pocet pizz)
r_deleni=parametry(1,2);    %počet dělení po poloměru (pocet kružnic)
poc_e=parametry(1,3);       %počet elementů

%vstupní parametry zatím nepřebrány s APDL
r=35;

%načtení s datového souboru
A=load('napeti.dat');

%%
%separace na elementy
l=0;
x=1;
for j=1:poc_e*(o_deleni+1)
    l=l+1;
    for k=1:r_deleni
            B(l,k,x)=A(j,k);
    end
    if l==(o_deleni+1)
        l=0;
        x=x+1;
    end
end

%uložení prvního řádku do posledního
for m=1:poc_e
    for k=1:r_deleni
        B(o_deleni+2,k,m)=B(1,k,m);
    end
end

%prohození posledního řádku s předposledním (v posledním řádku bude
%prostřední uzel)
for m=1:poc_e
    for k=1:r_deleni
        POM=B(o_deleni+2,k,m);
        B(o_deleni+2,k,m)=B(o_deleni+1,k,m);
        B(o_deleni+1,k,m)=POM;
    end
end

%uložení posledního řádku do posledního sloupce
for m=1:poc_e
    for l=1:o_deleni+1
        for k=1:r_deleni
            C(l,k,m)=B(l,k,m);
        end
    end
end    

  

for m=1:poc_e
    for l=1:o_deleni+1
            C(l,r_deleni+1,m)=B(o_deleni+2,1,m); 
    end
end

%uložení posledního sloupce do prvního a posunutí všech ostatních



for m=1:poc_e
    pom(1:o_deleni+1,1)=C(1:o_deleni+1,r_deleni+1,m); 
    for k=r_deleni:-1:1
        C(1:o_deleni+1,k+1,m)=C(1:o_deleni+1,k,m);
    end
    C(1:o_deleni+1,1,m)=pom(1:o_deleni+1,1);  
end
      
       
 %%       
%nastavení poloměrů
for k=1:r_deleni
polomer(1,k+1)=r*sqrt(k/r_deleni);
end
polomer(1,1)=0;


%=======graf1==========================
[r_m,th] = meshgrid(polomer,(0:360/o_deleni:360)*pi/180); %generování polárních souřadnic
[x,y] = pol2cart(th,r_m);         %transformace z polarnich do kartezkych

z(1:o_deleni+1,1:r_deleni+1)=0;

figure(1)
%subplot(2,1,1);
surf(x,y,z,'FaceColor','w');
xlabel('poloměr tyče [mm]','fontsize',12);
ylabel('poloměr tyče [mm]','fontsize',12);
zlabel('zbytkové napětí [MPa]','fontsize',12);
hold on
d=38;    %element ve kterem bude vykresleno zbytkove napeti(okraj 501-401)
surf(x,y,C(:,:,d),'FaceColor','red');
set(gca,'fontsize',12);
axis([-40,40,-40,40,-200,200]);
hold off

%=======graf2==========================
% figure;
% %subplot(2,1,2);
% x1=1:poc_e;
% y1(1:poc_e)=1;
% plot(x1,y1,':');
% hold on
% axis([1,poc_e,0,2]);
% plot(d,1,'red o');
% hold off

orez(:,:,:)=C(:,:,10:90);
maxim=max(max(orez(:,:,29)))